Bug 1025970 - gdm often fails to display login screen on boot
gdm often fails to display login screen on boot
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
: 1047572 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2013-11-02 11:54 EDT by Dave Allan
Modified: 2016-04-27 00:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-06-29 08:47:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output of gdb thread apply all bt full (10.90 KB, text/plain)
2013-11-02 11:54 EDT, Dave Allan
no flags Details

  None (edit)
Description Dave Allan 2013-11-02 11:54:01 EDT
Created attachment 818602 [details]
output of gdb thread apply all bt full

Description of problem:
When I boot my laptop, it often displays the Fedora f symbol but gdm never displays the login screen.  Switching to a text console and killing gdm causes the login screen to appear and subsequently the machine works normally.  I'm not sure what's happening, but I've attached gdb output of thread apply all bt full in the hopes that it will be helpful.

Version-Release number of selected component (if applicable):

How reproducible:
30% of the time, perhaps a little more
Comment 1 Dave Allan 2014-03-26 11:00:35 EDT
This behavior got progressively worse over time, until sometimes I had to boot the laptop multiple times to get a login, until it stopped two weeks ago.  I'll cross my fingers and close the BZ.
Comment 2 Dave Allan 2014-03-28 08:45:46 EDT
Bah, as soon as I close the bug it reappears.  I should also note that the behavior changed a bit from what I was seeing originally: I was previously able to switch to a text console, but recently no login prompts appeared there, either.  I was able to log in via ssh when I saw the hang this morning, but systemctl status gave no useful information (at least to me) about the source of the failure.  Executing killall gdm did however cause the login screen to appear and login prompts to appear on the text consoles.  Dunno if this is specific to my hardware, but I'm going to reopen in case it's not.
Comment 3 Dave Allan 2014-04-18 11:29:47 EDT
My working theory at this point that this behavior is the result of a hardware fault on my laptop.  Since no one else seems to be reporting it, I started playing with the boot process, and I find that if I let the laptop sit at the grub prompt for twenty or thirty seconds before booting I do not see the hang, which makes me think maybe there's a flaky connection somewhere in the machine that just needs to heat up a bit.  Anyway, reclosing.
Comment 4 phobos13 2014-08-12 05:04:02 EDT
Same issue since about half a year. gdm login screen is missing very often after booting or logout. My personal, rather unprofessional workaround is to close the lid of my laptop to start hibernate mode. After canceling hibernate, the login screen appears.

Operating System: Linux 3.15.8-200.fc20.x86_64

Architecture: x86_64


Other Fedora users also have this issue:
Comment 5 phobos13 2014-08-12 11:58:20 EDT
So, please reopen this bug. Thanks.
Comment 6 Hedayat Vatankhah 2014-09-06 09:17:30 EDT
*** Bug 1047572 has been marked as a duplicate of this bug. ***
Comment 7 Hedayat Vatankhah 2014-09-06 09:32:06 EDT
I've also experienced this bug. I boot my system, and instead of GDM I saw a gray background which looks like what can be seen in the main monitor when gdm itself is being shown on a separate monitor (this bug might be related to bug #691620). (I guess that for whatever reason GDM thinks that I've an external monitor connected and tries to use that instead of my laptop LCD).

My workaround for seeing GDM is to switch to text virtual terminals using Alt+Ctrl+F2 and switch back to GDM using Alt+Ctrl+F1. After doing this a few times, GDM screen is visible again!

Bug I'm not sure it is related to GDM itself. Once, a similar situation happened for me after login too. In this case, the gnome-shell which was ran by gdm was consuming 100% CPU and I had to kill it with SIGKILL. Also killed Xorg to re-login.

There is also another issue that could be related to this one too: I've created my own Fedora remix called Parsidora which is provided as an installation media, and is created based on Fedora 20 + updates. While it works find on many other hardware, when I boot the installer on my own laptop (where the GDM issue happens for me); Anaconda screen doesn't appear. Instead, I see a background similar to what I see instead of GDM when I boot my updated Fedora 20. This can be the same problem too. So, I guess that this problem is related to kernel/Xorg, or Gnome itself, rather than GDM. I'll try switching my login manager to KDM to see if it happens there too.

My graphics card is Intel GM965/GL960 using i915 kernel module.
Comment 8 phobos13 2014-09-07 12:15:58 EDT
(In reply to Hedayat Vatankhah from comment #7)

> My workaround for seeing GDM is to switch to text virtual terminals using
> Alt+Ctrl+F2 and switch back to GDM using Alt+Ctrl+F1. After doing this a few
> times, GDM screen is visible again!

This also works for me.
> My graphics card is Intel GM965/GL960 using i915 kernel module.

Mine is also Intel GM965/GL960!
Comment 9 Fedora End Of Life 2015-05-29 05:40:42 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-06-29 08:47:40 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.